Summary:        FUSE overlay+shiftfs implementation for rootless containers
Name:           fuse-overlayfs
Version:        1.12
Release:        3%{?dist}
License:        GPL-3.0-or-later
URL:            https://github.com/containers/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  autoconf automake
BuildRequires:  gcc git-core make
BuildRequires:  systemd-rpm-macros
BuildRequires:  fuse3-devel
Requires:       fuse3 kmod
Provides:       bundled(gnulib) = cb634d40c7b9bbf33fa5198d2e27fdab4c0bf143
ExclusiveArch:  aarch64 ppc64le x86_64 riscv64 loongarch64

%description
FUSE overlay+shiftfs implementation for rootless containers.

%package devel
Summary:        FUSE overlay+shiftfs implementation for rootless containers.
BuildArch:      noarch

%description devel
FUSE overlay+shiftfs implementation for rootless 
containers.

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%autosetup -Sgit %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%make_build

%install
%make_install
install -d %{buildroot}%{_modulesloaddir}
echo fuse > %{buildroot}%{_modulesloaddir}/fuse-overlayfs.conf

%post
modprobe fuse > /dev/null 2>&1 || :

%files
%license COPYING
%doc README.md
%{_modulesloaddir}/fuse-overlayfs.conf
%{_bindir}/%{name}
%{_mandir}/man1/*

%changelog
* Tue Mar 19 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.12-3
- add loongarch64 for fuse-overlayfs 

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 03 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.12-1
- Upgrade to upstream version 1.12

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.11-1
- Initial build
